%define build_mdk80 %(if [ `awk '{print $4}' /etc/mandrake-release` = 8.0 ];then echo 1; else echo 0; fi)
%define pkgname razor-agents

Name:               perl-Razor-Agent
Version:            2.20
Release:			2mdk
Summary:            Use a Razor catalogue server to filter spam messages
Source:             http://prdownloads.sourceforge.net/razor/%{pkgname}-%{version}.tar.bz2
Requires:           perl
Requires:           perl-Net-DNS
Requires:			perl-Digest-SHA1
Requires:           perl-MailTools
Requires:           perl-Time-HiRes
Requires:           perl-Digest-Nilsimsa
Requires:			perl-URI
Requires:			perl-MIME-Base64
License:            Artistic
Group:              Networking/Mail
URL:                http://razor.sourceforge.net
BuildRoot:          %{_tmppath}/%{name}-%{version}-builroot
BuildRequires:      perl
BuildRequires:	    perl-Net-DNS
BuildRequires:		perl-Digest-SHA1
BuildRequires:      perl-MailTools
BuildRequires:      perl-Time-HiRes
BuildRequires:		perl-URI
BuildRequires:      perl-Digest-Nilsimsa
BuildRequires:      perl-MIME-Base64

%description
Vipul's Razor is a distributed, collaborative, spam detection and
filtering network.  Razor establishes a distributed and constantly
updating catalogue of spam in propagation.  This catalogue is used by
clients to filter out known spam.  On receiving a spam, a Razor
Reporting Agent (run by an end-user or a troll box) calculates and
submits a 20-character unique identification of the spam (a SHA
Digest) to its closest Razor Catalogue Server.  The Catalogue Server
echos this signature to other trusted servers after storing it in its
database.  Prior to manual processing or transport-level reception,
Razor Filtering Agents (end-users and MTAs) check their incoming mail
against a Catalogue Server and filter out or deny transport in case of
a signature match.  Catalogued spam, once identified and reported by a
Reporting Agent, can be blocked out by the rest of the Filtering
Agents on the network.

%prep
%setup -q -n %{pkgname}-%{version}

%build

%if %build_mdk80
  %{__perl} Makefile.PL INSTALLDIRS=site
%else
  %{__perl} Makefile.PL INSTALLDIRS=vendor
%endif

cd Razor2-Preproc-deHTMLxs

%if %build_mdk80
  %{__perl} Makefile.PL INSTALLDIRS=site
%else
  %{__perl} Makefile.PL INSTALLDIRS=vendor
%endif

cd ..
%make OPTIMIZE="$RPM_OPT_FLAGS" 

%install
rm -rf $RPM_BUILD_ROOT
cd Razor2-Preproc-deHTMLxs
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}
cd ..
export PERL5LIB="$RPM_BUILD_ROOT%{perl_vendorarch}" 
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

ln -s -f %{_bindir}/razor-client $RPM_BUILD_ROOT%{_bindir}/razor-check
ln -s -f %{_bindir}/razor-client $RPM_BUILD_ROOT%{_bindir}/razor-report
ln -s -f %{_bindir}/razor-client $RPM_BUILD_ROOT%{_bindir}/razor-admin
ln -s -f %{_bindir}/razor-client $RPM_BUILD_ROOT%{_bindir}/razor-revoke

install -d $RPM_BUILD_ROOT%{_mandir}/man5
install -m 644 blib/man5/* $RPM_BUILD_ROOT%{_mandir}/man5

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr (-, root, root)
%doc INSTALL FAQ README Changes CREDITS
%{_bindir}/*
%{perl_vendorlib}/Razor2
%{perl_vendorarch}/Razor2
%{perl_vendorarch}/auto/Razor2
%{_datadir}/man/*/*

%changelog
* Wed Oct 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.20-2mdk
- ISTEAM powered = add support for Mdk 8.0

* Tue Oct 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.20-1mdk
- Release 2.20

* Fri Sep 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.14-1mdk
- Release 2.14

* Fri Jul 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.12-1mdk
- From Ben Reser <ben@reser.org> :
 - Release 2.12

* Thu Jul 11 2002 Pixel <pixel@mandrakesoft.com> 2.08-5mdk
- drop the explicit depency on perl 5.6.1

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 2.08-4mdk
- handle man5 pages by hand
- rebuild for perl 5.8.0

* Thu Jun 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.08-3mdk
- Fix BuildRequires

* Tue Jun 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.08-2mdk
- Add missing depencency on perl-URI and perl-MIME-Base64

* Tue Jun 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.08-1mdk
- Release 2.0.8
- Remove patch0 (no longer needed)

* Tue Apr  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.20-1mdk
- First Mdk package

* Sun Jan 27 2002 Scott Pakin <pakin@uiuc.edu>
- Initial version
